
Pre-Development - Feature #19392

FE - React - Drawer submenu not expand 

11 January 2024 11:03 AM - chok yee fan

Status: Closed Start date: 11 January 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

issue

------

Drawer childmenu not highlight after select the menu.

expected

------

Drawer childmenu SHOULD highlight after select the menu.

Noted: currently dont have any example. just create it to do the testing.

History

#1 - 11 January 2024 11:47 AM - chok yee fan

- Subject changed from FE - React - Drawer submenu not highlight  to FE - React - Drawer submenu not expand 

issue

------

Drawer childmenu not expand after select the menu.

expected

------

Drawer childmenu SHOULD expand after select the menu.

Noted: currently dont have any example. just create it to do the testing

#2 - 15 January 2024 04:42 PM - Amirul Umar Pandai

- Status changed from New to Resolved

- Assignee changed from Amirul Umar Pandai to chok yee fan

Changed App.routing.tsx structure to include Drawer as a root component.

All Drawer instances besides root component has been removed, replaced with calls to useOutletContext to reset page data on clicking drawer item.

Note: example is not committed. Create your own after pulling to test.

Drawer parent component using React Router Outlet

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/0d4c5c9b4f43b622343671a134d79abdff8f2b6a
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/0d4c5c9b4f43b622343671a134d79abdff8f2b6a


#3 - 16 January 2024 03:19 PM - chok yee fan

- Status changed from Resolved to Feedback

- Assignee changed from chok yee fan to tanchen yee

for u to test ur module

#4 - 17 January 2024 04:00 PM - chok yee fan

- File Screenshot 2024-01-17 at 3.59.57 PM.png added

- File Screenshot 2024-01-17 at 4.00.18 PM.png added

- Assignee changed from tanchen yee to Amirul Umar Pandai

issue

-----

extra code at detail form page,

expected

-----

remove the extra code at detail form page. otherwise need to find a way how to archive calling single method avoid duplicate code.

#5 - 18 January 2024 05:10 PM - Amirul Umar Pandai

- Status changed from Feedback to Resolved

- Assignee changed from Amirul Umar Pandai to chok yee fan

Feature #19392 - remove outlet context and handleReset from form pages

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/874d1c5cefbcbf458f8aebdc9b38e9395b77ea2d

#6 - 19 January 2024 02:34 PM - chok yee fan

- Status changed from Resolved to Feedback

- Assignee changed from chok yee fan to Amirul Umar Pandai

careless, always need double check the code

issue

-----

extra code at detail form page MUTATION

expected

-----

remove the extra code at detail form page MUTATION

#7 - 22 January 2024 10:26 AM - Amirul Umar Pandai

- Assignee changed from Amirul Umar Pandai to chok yee fan

20 April 2025 2/3

https://dev.silverlakemobility.com/redmine/issues/19392
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/874d1c5cefbcbf458f8aebdc9b38e9395b77ea2d


Remove unused search action mutation in form pages

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/94b0318e3690043bd67567416faa41f05a3203a3

#8 - 22 January 2024 05:18 PM - chok yee fan

- Status changed from Feedback to Closed

after review the code should not more

Files

Screenshot 2024-01-17 at 3.59.57 PM.png 82 KB 17 January 2024 chok yee fan

Screenshot 2024-01-17 at 4.00.18 PM.png 42.2 KB 17 January 2024 chok yee fan

Powered by TCPDF (www.tcpdf.org)

20 April 2025 3/3

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/94b0318e3690043bd67567416faa41f05a3203a3
http://www.tcpdf.org

